diff -Nuar -x .svn ./flashchips.c ../temp1/flashrom/flashchips.c
--- ./flashchips.c	2009-02-22 21:07:28.000000000 +0800
+++ ../temp1/flashrom/flashchips.c	2009-02-25 14:57:53.000000000 +0800
@@ -1142,6 +1142,20 @@
 
 	{
 		.vendor		= "SST",
+		.name		= "SST25VF040",
+		.manufacture_id	= SST_ID,
+		.model_id	= SST_25VF040_REMS,
+		.total_size	= 512,
+		.page_size	= 64*1024,
+		.tested		= TEST_OK_PR,
+		.probe		= probe_spi_rems,
+		.erase		= spi_chip_erase_60,
+		.write		= spi_chip_write,
+		.read		= spi_chip_read,
+	},
+
+	{
+		.vendor		= "SST",
 		.name		= "SST25VF080B",
 		.manufacture_id	= SST_ID,
 		.model_id	= SST_25VF080B,
